<?php

namespace App\Http\Controllers;

use App\Models\Review;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ReviewController extends Controller
{    

    /**
     * Store a newly created review.
     */
    public function store(Request $request)
    {
        $request->validate([
            'rating' => 'required|integer|min:1|max:5',
            'review' => 'nullable|string|max:1000',
        ]);

        Review::create([
            'user_id' => Auth::id(),
            'rating' => $request->rating,
            'review' => $request->review,
        ]);

        return redirect()->back()->with('success', 'Your review has been submitted successfully!');
    }
    public function filter(Request $request)
    {
        $rating = $request->input('rating');
        
        $reviews = Review::where('rating', $rating)->get();

        return response()->json([
            'success' => true,
            'reviews' => $reviews,
        ]);
    }
}
