<?php

namespace App\Models;

use App\Models\CertificateShare;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Certificate extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'training_center',
        'title',
        'issued_date',
        'expiration_date',
        'certificate_file',
        'driverlicense_file',
        'notify',
        'instructor_name',
        'instructor_phone',
        'certificate_number',
        'verification_status',
    ];

    protected $casts = [
        'notify' => 'boolean',
    ];
    
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function qrCode()
    {
        return $this->hasOne(QrCode::class);
    }

    public function isExpired()
    {
        return $this->expiry_date < now();
    }
    public function shares()
    {
        return $this->hasMany(CertificateShare::class);
    }
}
