<?php

namespace App\Models;

use App\Models\Certificate;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class CertificateShare extends Model
{
    use HasFactory;

    protected $fillable = ['user_id', 'certificate_id', 'recipient_email', 'message'];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
    
    public function certificate()
    {
        return $this->belongsTo(Certificate::class);
    }

    public function sharedBy()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}
