<?php

namespace App\Models;

use App\Models\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Review extends Model
{
    use HasFactory;

    protected $fillable = [        
        'user_id',
        'reviewer_id',
        'rating',
        'review',
    ];

    /**
     * The user being reviewed.
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    /**
     * The user giving the review.
     */
    public function reviewer()
    {
        return $this->belongsTo(User::class, 'reviewer_id');
    }
}
