<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use App\Models\QRCode as QrCodeModel;
use SimpleSoftwareIO\QrCode\Facades\QrCode;

class User extends Authenticatable
{
    /** @use HasFactory<\Database\Factories\UserFactory> */
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var list<string>
     */
    protected $fillable = [
        'full_name',    // Added full_name
        'state_country', // Added state_country
        'department',     // Added industry
        'designation',     // Added industry
        'contact_number',         // Added phone
        'role',
        'email',
        'password',
        'status',
        'profile_picture', // Add this line
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var list<string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * Get the attributes that should be cast.
     *
     * @return array<string, string>
     */
    protected function casts(): array
    {
        return [
            'email_verified_at' => 'datetime',
            'password' => 'hashed',
        ];
    }

    // protected static function booted() {
    //     static::created(function ($user) {
    //         $guestLink = route('certificates.guest', ['user' => $user->id]);
    //         $authLink = route('certificates.auth', ['user' => $user->id]);

    //         $qrData = "Guest Link: $guestLink\nAuthenticated Link: $authLink";
    //         $qrPath = 'qr_codes/' . $user->id . '_qr.png';

    //         // Generate the QR code and save it
    //         QrCode::format('png')->size(300)->generate($qrData, public_path('storage/' . $qrPath));

    //         // Save QR code info in the database
    //         QrCodeModel::create([
    //             'user_id' => $user->id,
    //             'qr_code_path' => $qrPath,
    //         ]);
    //     });
    // }

    public function certificates()
    {
        return $this->hasMany(Certificate::class);
    }

    public function shared()
    {
        return $this->hasMany(CertificateShare::class);
    }
}
