<?php

namespace App\Providers;

use App\Models\QrCode;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        // Share authenticated user data with all views
        View::composer('*', function ($view) {
            $user = Auth::user();

            if ($user) {
                // Fetch the QR code for the authenticated user
                $qrCode = QrCode::where('user_id', $user->id)->first();
                $view->with(['user' => $user, 'qrCode' => $qrCode]);
            } else {
                $view->with(['user' => null, 'qrCode' => null]);
            }
        });
    }
}
