<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('qr_codes', function (Blueprint $table) {
            // Drop the certificate_id foreign key and column
            $table->dropForeign(['certificate_id']);
            $table->dropColumn('certificate_id');

            // Add the user_id column with a foreign key constraint
            $table->unsignedBigInteger('user_id')->after('id');
            $table->string('user_link')->after('user_id');
            $table->string('guest_link')->after('user_link');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('qr_codes', function (Blueprint $table) {
            // Drop the user_id foreign key and column
            $table->dropForeign(['user_id']);
            $table->dropColumn('user_id');

            // Re-add the certificate_id column with a foreign key constraint
            $table->unsignedBigInteger('certificate_id')->after('id');
            $table->foreign('certificate_id')->references('id')->on('certificates')->onDelete('cascade');
        });
    }
};
