<!-- resources/views/auth/reset-password.blade.php -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Reset Password</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.0/font/bootstrap-icons.css" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('css/auth.css') }}"> <!-- Your custom styles -->
</head>
<body>
    <div class="split-layout">
        <div class="left-panel">
            <div class="hero-image-container">
                <img src="https://images.unsplash.com/photo-1600880292203-757bb62b4baf?auto=format&fit=crop&q=80" alt="Professional team" class="hero-image"/>
            </div>
        </div>

        <div class="right-panel">
            <div class="form-container">
                <div class="brand-logo">
                    <i class="bi bi-globe"></i>
                    <span>My Gig ID</span>
                </div>

                <h2 class="welcome-text">Reset Your Password</h2>
                <form method="POST" action="{{ route('password.update') }}">
                    @csrf
                    <input type="hidden" name="token" value="{{ $token }}">
                    
                    <div class="form-group">
                        <input type="email" name="email" value="{{ old('email') }}" class="form-control" placeholder="Email Address" required>
                    </div>

                    <div class="form-group">
                        <input type="password" name="password" class="form-control" placeholder="New Password" required>
                    </div>

                    <div class="form-group">
                        <input type="password" name="password_confirmation" class="form-control" placeholder="Confirm Password" required>
                    </div>

                    <button type="submit" class="btn btn-primary w-100">Reset Password</button>

                    @if (Route::has('login'))
                        <div class="text-center mt-3">
                            <a href="{{ route('login') }}" class="login-link">Go Back to Login</a>
                        </div>
                    @endif
                </form>
            </div>
        </div>
    </div>
</body>
</html>
