<!-- resources/views/auth/verify-email.blade.php -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Verify Email</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.0/font/bootstrap-icons.css" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('css/auth.css') }}"> <!-- Your custom styles -->
</head>
<body>
    <div class="split-layout">
        <div class="left-panel">
            <div class="hero-image-container">
                <img src="https://images.unsplash.com/photo-1600880292203-757bb62b4baf?auto=format&fit=crop&q=80" alt="Professional team" class="hero-image"/>
            </div>
        </div>

        <div class="right-panel">
            <div class="form-container">
                <div class="brand-logo">
                    <i class="bi bi-globe"></i>
                    <span>My Gig ID</span>
                </div>

                <h2 class="welcome-text">Verify Your Email Address</h2>

                <div class="alert alert-info">
                    Before proceeding, please check your email for a verification link. If you did not receive the email, 
                    <form method="POST" action="{{ route('verification.resend') }}">
                        @csrf
                        <button type="submit" class="btn btn-link">click here to request another</button>.
                    </form>
                </div>

                <div class="text-center">
                    <a href="{{ route('login') }}" class="login-link">Go Back to Login</a>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
