<div class="modal fade" id="addCertificateModal" tabindex="-1" aria-labelledby="addCertificateModalLabel"
    aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content p-3">
            <div class="modal-header">
                <h5 class="modal-title" id="addCertificateModalLabel">Add New Certificate</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form id="certificateForm" method="POST" action="{{ route('certificates.store') }}"
                    enctype="multipart/form-data">
                    @csrf
                    <div class="row">
                        <label class="form-label">Upload Certificate</label>
                        <div class="col-6">
                            <label for="captureFile" class="icon-box" id="captureBox">
                                <div class="preview-icons" id="capturePreview">
                                    <div class="icons">
                                        <i class="bi bi-camera icons"></i>
                                    </div>
                                    <h5 class="card-title mt-3">Capture</h5>
                                </div>
                            </label>
                            <input type="file" id="captureFile" name="certificate_file1" class="file-input" onchange="replaceWithPreview(event, 'captureBox')" />
                        </div>
                        <!-- Upload Card -->
                        <div class="col-6">
                            <label for="uploadFile" class="icon-box" id="uploadBox">
                                <div class="preview-icons" id="uploadPreview">
                                    <div class="icons">
                                        <i class="bi bi-upload icons"></i>
                                    </div>
                                    <h5 class="card-title mt-3">Upload</h5>
                                </div>
                            </label>
                            <input type="file" id="uploadFile" name="certificate_file2" class="file-input" onchange="replaceWithPreview(event, 'uploadBox')" />
                        </div>
                        <label class="form-label">Upload Driver License</label>
                        <!-- Driver License Card -->
                        <div class="col-12">
                            <label for="driverLicenseFile" class="icon-box" id="driverLicenseBox">
                                <div class="preview-icons" id="driverLicensePreview">
                                    <div class="icons">
                                        <i class="bi bi-card-text icons"></i>
                                    </div>
                                    <h5 class="card-title mt-3">Driver License</h5>
                                </div>
                            </label>
                            <input type="file" id="driverLicenseFile" name="driverlicense_file" class="file-input" onchange="replaceWithPreview(event, 'driverLicenseBox')" />
                        </div>
                    </div>
                    <div class="mb-3">
                        <label for="trainingCenter" class="form-label">Training Center</label>
                        <input type="text" class="form-control" id="trainingCenter" name="training_center"
                            value="{{ old('training_center') }}" required>
                    </div>
                    <div class="mb-3">
                        <label for="certificateTitle" class="form-label">Certificate Title</label>
                        <input type="text" class="form-control" id="certificateTitle" name="title"
                            value="{{ old('title', $certificate->title ?? '') }}" required>
                    </div>
                    <div class="mb-3">
                        <label for="issuedDate" class="form-label">Issued Date</label>
                        <input type="date" class="form-control" id="issuedDate" name="issued_date"
                            value="{{ old('issued_date') }}" required>
                    </div>
                    <div class="mb-3">
                        <label for="expirationDate" class="form-label">Expiration Date</label>
                        <input type="date" class="form-control" id="expirationDate" name="expiration_date"
                            value="{{ old('expiration_date') }}">
                    </div>
                    <div class="form-check mb-3">
                        <input class="form-check-input" type="checkbox" id="notifyMe" name="notify"
                            {{ old('notify', isset($certificate) ? $certificate->notify : false) ? 'checked' : '' }}>
                        <label class="form-check-label" for="notifyMe">Notify Me one month before expiration</label>
                    </div>                    
                    {{-- <div class="mb-3">
                        <label for="certificateFile" class="form-label">Locate your certificate on this device</label>
                        <input type="file" class="form-control" id="certificateFile" name="certificate_file">
                    </div> --}}
                    <div class="form-check">
                        <input class="form-check-input" type="checkbox" id="verifyCertification"
                            name="verify_certification" onclick="toggleHiddenSection()"
                            {{ old('verify_certification') ? 'checked' : '' }}>
                        <label class="form-check-label" for="verifyCertification">Shall we verify your
                            certification?</label>
                    </div>
                    <div id="hiddenSection" class="hidden-section {{ old('verify_certification') ? 'visible' : '' }}">
                        <div class="mb-3">
                            <label for="instructorName" class="form-label">Instructor Name</label>
                            <input type="text" class="form-control" id="instructorName" name="instructor_name"
                                value="{{ old('instructor_name') }}">
                        </div>
                        <div class="mb-3">
                            <label for="instructorPhone" class="form-label">Instructor's Phone Number</label>
                            <input type="text" class="form-control" id="instructorPhone" name="instructor_phone"
                                value="{{ old('instructor_phone') }}">
                        </div>
                        <div class="mb-3">
                            <label for="certificateNumber" class="form-label">Certificate Number</label>
                            <input type="text" class="form-control" id="certificateNumber"
                                name="certificate_number" value="{{ old('certificate_number') }}">
                        </div>
                    </div>
                    <div class="d-flex gap-2 mt-4">
                        <button type="button" data-bs-dismiss="modal" class="btn save-btn">Close</button>
                        <button type="submit" class="btn save-btn">Add</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@push('scripts')
<!-- Scripts -->
    
<script>    
    function replaceWithPreview(event, previewBoxId) {
        const fileInput = event.target;
        const file = fileInput.files[0];
        const previewBox = document.getElementById(previewBoxId);
    
        if (file) {
            const reader = new FileReader();
    
            reader.onload = function (e) {
                const fileType = file.type;
    
                if (fileType.startsWith('image/')) {
                    // Replace the content with an image preview
                    previewBox.innerHTML = `<img src="${e.target.result}" alt="File Preview" class="img-fluid rounded" style="max-height: 100px; width: auto;">`;
                } else {
                    // Replace the content with a generic file preview placeholder
                    previewBox.innerHTML = `
                        <div class="text-center">
                            <i class="bi bi-file-earmark-text" style="font-size: 2rem;"></i>
                            <p class="mt-2">${file.name}</p>
                        </div>
                    `;
                }
            };
    
            reader.readAsDataURL(file);
        }
    }
    </script>
    

    
@endpush 
    