<!-- Modal For Edit Profile -->
<div class="modal fade" id="editProfileModal" tabindex="-1" aria-labelledby="editProfileModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="editProfileModalLabel">Edit Profile</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form id="editProfileForm" method="POST" action="{{ route('profile.update') }}"
                    enctype="multipart/form-data">
                    @csrf
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    <div class="upload-picture">
                        <label class="upload-placeholder">
                            <img src="{{ $user->profile_picture ? asset('storage/' . $user->profile_picture) : 'https://via.placeholder.com/100' }}"
                                alt="Profile Picture" id="profilePicturePreview">
                            <input type="file" id="profilePictureInput" name="profile_picture"
                                onchange="previewImage(event)">
                        </label>
                    </div>
                    <div class="mb-3">
                        <input type="text" class="form-control" name="full_name" placeholder="Full Name"
                            value="{{ old('full_name', $user->full_name) }}" required>
                    </div>
                    <div class="mb-3">
                        <input type="text" class="form-control" name="designation" placeholder="Designation"
                            value="{{ old('designation', $user->designation) }}">
                    </div>
                    <div class="mb-3">
                        <input type="text" class="form-control" name="contact_number" placeholder="Contact Number"
                            value="{{ old('contact_number', $user->contact_number) }}">
                    </div>
                    <div class="mb-3">
                        <input type="email" class="form-control" name="email" placeholder="Email Address"
                            value="{{ old('email', $user->email) }}" required disabled>
                    </div>
                    <div class="mb-3">
                        <input type="text" class="form-control" name="department" placeholder="Department"
                            value="{{ old('department', $user->department) }}">
                    </div>
                    <div class="d-flex gap-2">
                        <button type="button" class="btn save-btn" data-bs-dismiss="modal">Close</button>
                        <button type="submit" class="btn save-btn btn-primary">Save</button>
                    </div>
                </form>

            </div>

        </div>
    </div>
</div>
