<div class="modal fade" id="QrShareModal" tabindex="-1" aria-labelledby="QrShareModalLabel">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content text-center">
            <div class="modal-header">
                <h5 class="modal-title w-100" id="QrShareModalLabel">Scan QR Code to View User's Certificates</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                {{-- Dynamic QR Code --}}
                @if(isset($qrCode))
                    <img src="{{ asset('storage/' . $qrCode->qr_code_path) }}" alt="QR Code" class="qr-image" style="width: 200px; height: 200px;">
                @else
                    <p class="text-danger">QR Code not available.</p>
                @endif
                
                <div class="mt-3">
                    {{-- User Name --}}
                    <p class="user-name fw-bold">{{ $user->full_name }}</p>
                    {{-- User ID --}}
                    <p class="user-id">ID {{ $user->id }}</p>
                </div>
            </div>
            <div class="modal-footer">
                {{-- Share Button --}}
                <button type="button" class="btn btn-primary btn-share" onclick="shareQrCode('{{ $qrCode->user_link ?? '#' }}')">Share</button>
                {{-- Print Button --}}
                <button type="button" class="btn btn-secondary btn-print" onclick="window.print()">Print</button>
            </div>
        </div>
    </div>
</div>

@push('scripts')
<script>
    function shareQrCode(link) {
        if (navigator.share) {
            navigator.share({
                title: 'QR Code for {{ $user->full_name }}',
                text: 'Scan this QR Code to view user certificates.',
                url: link,
            }).catch((error) => console.error('Error sharing:', error));
        } else {
            alert('Sharing is not supported in this browser.');
        }
    }
</script>    
@endpush

