<div class="modal fade" id="shareCertificateModal" tabindex="-1" aria-labelledby="shareCertificateModalLabel"
    aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content p-4 rounded">
            <!-- Modal Header -->
            <div class="modal-header border-0">
                <h5 class="modal-title fw-bold text-dark" id="shareCertificateModalLabel">Share My Certificates</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <!-- Modal Body -->
            <div class="modal-body">
                <p class="text-primary fw-bold">You are sharing <span id="selectedCertificatesCount">0</span> certificates</p>
                <form id="shareCertificateForm" method="POST" action="{{ route('certificates.share') }}">
                    @csrf
                    <input type="hidden" name="certificate_id" id="selectedCertificateId" value="">
                    <!-- Email Input -->
                    <div class="mb-3">
                        <label for="emailToShare" class="form-label fw-bold">Email to Share Certificates?</label>
                        <input type="email" class="form-control" id="emailToShare" name="recipient_email"
                            placeholder="Enter recipient email" value="{{ old('recipient_email') }}" required>
                    </div>
                    <!-- Message Input -->
                    <div class="mb-3">
                        <label for="message" class="form-label fw-bold">Your message below - <a href="#">please customize!</a></label>
                        <textarea name="message" id="message" class="form-control" rows="4" placeholder="Write your message here">{{ old('custom_message') }}</textarea>
                    </div>
                    <!-- Send Copy Checkbox -->
                    <div class="form-check mb-3">
                        <input type="checkbox" class="form-check-input" id="sendCopy" name="send_copy">
                        <label class="form-check-label" for="sendCopy">Send me a copy</label>
                    </div>
                    <!-- Buttons -->
                    <div class="d-flex justify-content-between">
                        <button type="button" class="btn btn-outline-primary w-50 me-2" data-bs-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary w-50">Send</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@push('scripts')
<script>
    function setShareModal() {
        const checkedCertificates = document.querySelectorAll('.certificate-checkbox:checked');
        const certificateIdInput = document.getElementById('selectedCertificateId');
        const certificatesCount = document.getElementById('selectedCertificatesCount');

        if (checkedCertificates.length > 0) {
            // Get all selected certificate IDs
            const ids = Array.from(checkedCertificates).map(checkbox => checkbox.getAttribute('data-id'));
            certificateIdInput.value = ids.join(','); // Store IDs as comma-separated string
            certificatesCount.textContent = ids.length; // Update selected count
            // Show the modal using Bootstrap's method
            const shareModal = new bootstrap.Modal(document.getElementById('shareCertificateModal'));
            shareModal.show();
        } else {
            certificateIdInput.value = '';
            certificatesCount.textContent = '0';
            alert('Please select at least one certificate to share.');
        }
    }
</script>    
@endpush

