<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Gig ID - Login</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.0/font/bootstrap-icons.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="<?php echo e(asset('css/signin.css')); ?>">
</head>
<body>
    <div class="split-layout">
        <!-- Left Panel -->
        <div class="left-panel">
            <div class="hero-image-container">
                <img 
                    src="https://images.unsplash.com/photo-1600880292203-757bb62b4baf?auto=format&fit=crop&q=80" 
                    alt="Professional team" 
                    class="hero-image"
                />
            </div>
            <div class="content-wrapper">
                <h1 class="hero-title">Start Managing Your<br>Certifications Now</h1>
                <p class="hero-text">
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut
                    labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco
                    laboris nisi ut aliquip ex ea commodo consequat.
                </p>
            </div>
            <div class="wave-wrapper">
                <svg viewBox="0 0 1440 320">
                    <path fill="#ffffff" fill-opacity="0.1" d="M0,96L48,112C96,128,192,160,288,160C384,160,480,128,576,112C672,96,768,96,864,112C960,128,1056,160,1152,160C1248,160,1344,128,1392,112L1440,96L1440,320L1392,320C1344,320,1248,320,1152,320C1056,320,960,320,864,320C768,320,672,320,576,320C480,320,384,320,288,320C192,320,96,320,48,320L0,320Z"></path>
                </svg>
            </div>
        </div>

        <!-- Right Panel -->
        <div class="right-panel">
            <div class="form-container">
                <!-- Logo -->
                <div class="brand-logo">
                    <i class="bi bi-globe"></i>
                    <span>My Gig ID</span>
                </div>

                <!-- Sign In Form -->
                <h2 class="welcome-text">Welcome</h2>
                <form method="POST" action="<?php echo e(route('login')); ?>" id="signInForm">
                    <?php echo csrf_field(); ?>
                    <div class="form-group">
                        <input 
                            type="email" 
                            class="form-control" 
                            name="email"
                            placeholder="Email Address" 
                            required
                        >
                        <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <div class="invalid-feedback"><?php echo e($message); ?></div>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>

                    <div class="form-group">
                        <div class="password-field">
                            <input 
                                type="password" 
                                class="form-control" 
                                name="password"
                                placeholder="Password" 
                                required
                            >
                            <button type="button" class="toggle-password">
                                <i class="bi bi-eye"></i>
                            </button>
                            <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="invalid-feedback"><?php echo e($message); ?></div>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>

                    <div class="form-group text-end">
                        <a href="<?php echo e(route('password.request')); ?>" class="forgot-password">Forgot Password? Click Here</a>
                    </div>

                    <button type="submit" class="btn btn-primary-custom w-100 mb-4">Login</button>

                    <div class="text-center text-muted">
                        You Don't have an account? 
                        <a href="<?php echo e(route('register')); ?>" class="sign-up-link">Sign Up</a>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const passwordInput = document.querySelector('input[name="password"]');
            const togglePasswordBtn = document.querySelector('.toggle-password');

            // Password Toggle
            togglePasswordBtn.addEventListener('click', function() {
                const type = passwordInput.getAttribute('type') === 'password' ? 'text' : 'password';
                passwordInput.setAttribute('type', type);

                const icon = this.querySelector('i');
                icon.classList.toggle('bi-eye');
                icon.classList.toggle('bi-eye-slash');
            });
        });
    </script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
<?php /**PATH F:\Projects\Laravel-Projects\My_Gig_ID\resources\views/auth/login.blade.php ENDPATH**/ ?>