

<?php $__env->startPush('styles'); ?>
<style>
    .star {
        color: gray;
        transition: color 0.2s ease-in-out;
        cursor: pointer;
        font-size: 2rem;
    }

    .star.active {
        color: gold;
    }

    .carousel-item img {
        max-height: 300px;
        object-fit: contain;
        margin: auto;
    }
</style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="container">
    <h2><?php echo e($viewUser->full_name); ?>'s Shared Certificates</h2>

    <?php if($viewUser->certificates->isNotEmpty()): ?>
        <!-- Carousel for Certificates -->
        <div id="certificatesCarousel" class="carousel slide" data-bs-ride="carousel">
            <div class="carousel-inner">
                <?php $__currentLoopData = $viewUser->certificates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $certificate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="carousel-item <?php echo e($index === 0 ? 'active' : ''); ?>">
                        <img src="<?php echo e(asset('storage/' . $certificate->certificate_file)); ?>" class="d-block w-100" alt="Certificate">
                        <div class="carousel-caption d-none d-md-block">
                            <h5><?php echo e($certificate->title); ?></h5>
                            <p><strong>Training Center:</strong> <?php echo e($certificate->training_center); ?></p>
                            <p><strong>Issued:</strong> <?php echo e($certificate->issued_date); ?></p>
                            <p><strong>Expires:</strong> <?php echo e($certificate->expiration_date ?? 'N/A'); ?></p>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
            <button class="carousel-control-prev" type="button" data-bs-target="#certificatesCarousel" data-bs-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Previous</span>
            </button>
            <button class="carousel-control-next" type="button" data-bs-target="#certificatesCarousel" data-bs-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Next</span>
            </button>
        </div>

        <!-- Add Rating for User -->
        <div class="rating-section mt-4">
            <h4>Rate <?php echo e($viewUser->full_name); ?></h4>
            <form method="POST" action="<?php echo e(route('users.rate', $viewUser->id)); ?>" id="ratingForm">
                <?php echo csrf_field(); ?>
                <div class="star-rating d-flex align-items-center">
                    <?php for($i = 1; $i <= 5; $i++): ?>
                        <span class="star" data-value="<?php echo e($i); ?>">&#9733;</span>
                    <?php endfor; ?>
                </div>
                <input type="hidden" name="rating" id="ratingInput" required>
                <label for="">Leave A Comment </label>
                <textarea name="review" id="review" cols="30" rows="10"></textarea>
                <button type="submit" class="btn btn-primary mt-3">Submit</button>
            </form>
        </div>
    <?php else: ?>
        <p>No certificates shared by this user.</p>
    <?php endif; ?>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        const stars = document.querySelectorAll('.star');
        const ratingInput = document.getElementById('ratingInput');

        stars.forEach(star => {
            star.addEventListener('click', function () {
                const rating = this.getAttribute('data-value');
                ratingInput.value = rating;

                // Highlight all stars up to the clicked one
                stars.forEach(s => {
                    s.classList.toggle('active', s.getAttribute('data-value') <= rating);
                });
            });
        });
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\Projects\Laravel-Projects\My_Gig_ID\resources\views/certificates/auth.blade.php ENDPATH**/ ?>