<div class="modal fade" id="QrShareModal" tabindex="-1" aria-labelledby="QrShareModalLabel">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content text-center">
            <div class="modal-header">
                <h5 class="modal-title w-100" id="QrShareModalLabel">Scan QR Code to View User's Certificates</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                
                <?php if(isset($qrCode)): ?>
                    <img src="<?php echo e(asset('storage/' . $qrCode->qr_code_path)); ?>" alt="QR Code" class="qr-image" style="width: 200px; height: 200px;">
                <?php else: ?>
                    <p class="text-danger">QR Code not available.</p>
                <?php endif; ?>
                
                <div class="mt-3">
                    
                    <p class="user-name fw-bold"><?php echo e($user->full_name); ?></p>
                    
                    <p class="user-id">ID <?php echo e($user->id); ?></p>
                </div>
            </div>
            <div class="modal-footer">
                
                <button type="button" class="btn btn-primary btn-share" onclick="shareQrCode('<?php echo e($qrCode->user_link ?? '#'); ?>')">Share</button>
                
                <button type="button" class="btn btn-secondary btn-print" onclick="window.print()">Print</button>
            </div>
        </div>
    </div>
</div>

<?php $__env->startPush('scripts'); ?>
<script>
    function shareQrCode(link) {
        if (navigator.share) {
            navigator.share({
                title: 'QR Code for <?php echo e($user->full_name); ?>',
                text: 'Scan this QR Code to view user certificates.',
                url: link,
            }).catch((error) => console.error('Error sharing:', error));
        } else {
            alert('Sharing is not supported in this browser.');
        }
    }
</script>    
<?php $__env->stopPush(); ?>

<?php /**PATH F:\Projects\Laravel-Projects\My_Gig_ID\resources\views/modals/qr-modal.blade.php ENDPATH**/ ?>