

<?php $__env->startSection('title', 'See My Reviews'); ?>

<?php $__env->startPush('styles'); ?>
<style>
    .btn-outline-primary {
        color: #190775 !important;
        border-color: #190775 !important;
    }

    .btn-outline-primary:hover {
        background-color: #190775 !important;
        color: white !important;
    }

    .dropdown-toggle {
        background: #190775;
        color: #fff;
    }

    .progress-bar {
        background-color: #190775;
    }

    .bi-star-fill {
        color: #F3B428;
    }

    .reviews-section {
        background-color: #f8f9fa;
        border-radius: 10px;
        padding: 20px;
    }

    .rating-box {
        font-size: 3rem;
        background: #f0f0f0;
        color: #3a3ab8;
        width: 80px;
        height: 80px;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 10px;
        font-weight: bold;
    }

    .star-row {
        display: flex;
        align-items: center;
        margin-bottom: 15px;
    }

    .progress {
        flex: 1;
        height: 8px;
        margin: 0 15px;
        background-color: #f0f0f0;
        border-radius: 5px;
        overflow: hidden;
    }

    .review-count {
        font-size: 0.9rem;
        color: #6c757d;
    }

    .card {
        box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.1);
    }
</style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="container py-5">
    <!-- Heading and Filter -->
    <div class="d-flex justify-content-between align-items-center mb-3">
        <h5 class="mb-0 text-black fs-3 fw-bold">See My Reviews</h5>
        <div class="dropdown">
            <button class="btn btn-primary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                Filter Reviews
            </button>
            <ul class="dropdown-menu">
                <?php for($i = 5; $i >= 1; $i--): ?>
                    <li>
                        <a class="dropdown-item" href="<?php echo e(route('reviews.filter', ['rating' => $i])); ?>">
                            <i class="bi bi-star-fill text-warning"></i> <?php echo e($i); ?> Stars
                        </a>
                    </li>
                <?php endfor; ?>
            </ul>
        </div>
    </div>

    <!-- Review Summary -->
    <div class="card reviews-section">
        <div class="d-flex flex-wrap align-items-center mb-3">
            <div class="rating-box me-3 mb-2">
                <?php echo e(number_format($averageRating, 1) ?? '0.0'); ?>

            </div>
            <div>
                <?php for($i = 1; $i <= 5; $i++): ?>
                    <i class="bi bi-star-fill <?php echo e($i <= floor($averageRating) ? 'text-warning' : 'text-secondary'); ?>"></i>
                <?php endfor; ?>
                <p class="mb-2 fs-3"><strong>From <?php echo e($totalReviews); ?> reviews</strong></p>
            </div>
        </div>

        <!-- Rating Distribution -->
        <div class="row">
            <?php $__currentLoopData = $ratingDistribution; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stars => $count): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-6">
                    <div class="star-row">
                        <div class="stars">
                            <i class="bi bi-star-fill text-warning"></i> <strong><?php echo e($stars); ?></strong>
                        </div>
                        <div class="progress">
                            <div class="progress-bar" style="width: <?php echo e($count ? ($count / $totalReviews) * 100 : 0); ?>%;"></div>
                        </div>
                        <div class="review-count"><?php echo e($count); ?> reviews</div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>

    <!-- Individual Reviews -->
    <div class="mt-4">
        <?php if($reviews->isNotEmpty()): ?>
            <?php $__currentLoopData = $reviews; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $review): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="card mb-3">
                    <div class="card-body">
                        <h5 class="card-title"><?php echo e($review->title); ?></h5>
                        <p class="card-text"><?php echo e($review->content); ?></p>
                        <p class="card-text">
                            <small class="text-muted">
                                Rated <?php echo e($review->stars); ?> stars on <?php echo e($review->created_at->format('d M, Y')); ?>

                            </small>
                        </p>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php else: ?>
            <p class="text-center">No reviews available.</p>
        <?php endif; ?>

        <!-- Pagination -->
        <div class="d-flex justify-content-center mt-3">
            <?php echo e($reviews->links()); ?>

        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\Projects\Laravel-Projects\My_Gig_ID\resources\views/seemyreviews.blade.php ENDPATH**/ ?>