<!-- resources/views/auth/forgot-password.blade.php -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Forgot Password</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.0/font/bootstrap-icons.css" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo e(asset('css/auth.css')); ?>"> <!-- Your custom styles -->
</head>
<body>
    <div class="split-layout">
        <div class="left-panel">
            <div class="hero-image-container">
                <img src="https://images.unsplash.com/photo-1600880292203-757bb62b4baf?auto=format&fit=crop&q=80" alt="Professional team" class="hero-image"/>
            </div>
        </div>

        <div class="right-panel">
            <div class="form-container">
                <div class="brand-logo">
                    <i class="bi bi-globe"></i>
                    <span>My Gig ID</span>
                </div>

                <h2 class="welcome-text">Forgot Your Password?</h2>
                <form method="POST" action="<?php echo e(route('password.email')); ?>">
                    <?php echo csrf_field(); ?>
                    <div class="form-group">
                        <input type="email" name="email" class="form-control" placeholder="Enter your email" required>
                    </div>

                    <button type="submit" class="btn btn-primary w-100">Send Reset Link</button>

                    <?php if(Route::has('login')): ?>
                        <div class="text-center mt-3">
                            <a href="<?php echo e(route('login')); ?>" class="login-link">Go Back to Login</a>
                        </div>
                    <?php endif; ?>
                </form>
            </div>
        </div>
    </div>
</body>
</html>
<?php /**PATH F:\Projects\Laravel-Projects\My_Gig_ID\resources\views/auth/forgot-password.blade.php ENDPATH**/ ?>