

<?php $__env->startSection('title', 'View GiggyCode Users'); ?>

<?php $__env->startPush('styles'); ?>
<style>
    .btn {
        font-family: 'Arial', sans-serif;
    }

    .btn-outline-primary {
        color: #190775 !important;
        border-color: #190775 !important;
    }

    .btn-outline-primary:hover {
        background-color: #190775 !important;
        color: white !important;
    }

    .btn-primary {
        background-color: #190775;
        border-color: #190775;
    }

    .btn-primary:hover {
        background-color: #150659;
        border-color: #150659;
    }

    input.form-control {
        padding: 1.5rem .75rem;
        background-color: #001BA119;
        color: black;
    }

    input.form-control::placeholder {
        color: black;
    }
    
    .search {
        width: 100%;
        padding: 1.5rem;
        background-color: #1a0dab;
    }

    .search:hover {
        background-color: white;
        color: #190775;
    }

    .certificate-card {
        background-color: #e7eefe;
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        align-items: center;
    }

    .certificate-img {
        height: 80px;
        width: 140px;
        position: relative;
        overflow: hidden;
    }

    .certificate-img img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .certificate-img .overlay {
        padding: 5px 10px;
        border-radius: 5px;
        opacity: 0;
        transition: opacity 0.3s ease;
    }

    .certificate-img:hover .overlay {
        opacity: 1;
    }

    .text-danger {
        font-weight: bold;
    }
    textarea {
        width: 100%;
        height: 200px;
        border: 1px solid #ddd;
        border-radius: 5px;
        padding: 10px;
        background-color: #f9f9f9;
        font-size: 14px;
        color: #555;
        resize: none;
    }

    .text-success {
        font-size: 0.9rem;
    }

    .note {
        background-color: #ffffff;
        color: #1a0dab;
        border: 1px solid #1a0dab;
        padding: 5px 10px;
        border-radius: 5px;
        font-size: 0.8rem
    }

    .note:hover {
        background-color: #190775;
        color: #d9dff4;
    }

    .modal-content {
        border-radius: 10px;
        padding: 20px;
    }

    @media (max-width: 768px) {
        .certificate-card {
            flex-direction: column;
            align-items: flex-start;
        }

        .certificate-img {
            margin-top: 10px;
            height: 100px;
            width: 200px;
        }
    }
</style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="container my-4">
    <div class="row align-items-center">
        <div class="col-12 col-lg-8 d-flex align-items-center mb-3 mb-lg-0">
            <img src="<?php echo e($user->profile_picture ? asset('storage/' . $user->profile_picture) : asset('images/default-profile.png')); ?>" 
            alt="User Image" 
            class="rounded-circle me-3"
            style="width: 80px; height: 80px;">           
            <div>
                <p class="mb-1 text-uppercase fw-bold text-muted" style="font-size: 12px;">Admin</p>                        
               
                <div class="d-flex align-items-center">
                    <h1 class="mb-0 william">Hello,
                        <?php echo e($user->full_name); ?></h1>
                    
                </div>
            </div>
        </div>
        <div class="col-12 col-lg-4 text-lg-end d-flex d-lg-inline justify-content-center gap-2">            
            <button class="btn btn-outline-primary" data-bs-toggle="modal" data-bs-target="#editProfileModal">
                <i class="bi bi-pencil"></i> Edit Profile
            </button>
        </div>
    </div>

    <div class="row mt-4">
        <p class="mb-5 fw-bold" style="font-size: 20px;">View GiggyCode Users</p>
    </div>

    <div class="row mb-3 g-3">
        <form method="GET" action="<?php echo e(route('users.search')); ?>" class="row">
            <div class="col-md-3">
                <input type="text" class="form-control" name="name" placeholder="Full Name" value="<?php echo e(request('name')); ?>">
            </div>
            <div class="col-md-3">
                <input type="text" class="form-control" name="email" placeholder="Email Address" value="<?php echo e(request('email')); ?>">
            </div>
            <div class="col-md-3">
                <input type="text" class="form-control" name="id" placeholder="ID 10,001" value="<?php echo e(request('user_id')); ?>">
            </div>
            <div class="col-md-3">
                <button class="btn btn-primary search" type="submit">Search</button>
            </div>
        </form>
    </div>

    <?php $__empty_1 = true; $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
    <!-- Certificate Card -->
    <div class="certificate-card border rounded p-3 mb-3 d-flex align-items-center flex-wrap">
        <div class="me-3">
            <p class="mb-0 fw-bold">User ID</p>
            <p class="mb-0">ID <?php echo e($user->id); ?></p>
        </div>

        <div class="me-3">
            <p class="mb-0 fw-bold">Name</p>
            <p class="mb-0"><?php echo e($user->full_name); ?></p>
        </div>
        <div class="me-3">
            <p class="mb-0 fw-bold">Email Address</p>
            <p class="mb-0 "><?php echo e($user->email); ?></p>
        </div>
        <div class="me-3">
            <p class="mb-0 fw-bold">Total Certificates</p>
            <p class="mb-0 "><?php echo e($user->certificates->count()); ?></p>
        </div>
        <div class="me-3">
            <p class="mb-0 fw-bold">Verified Certificates</p>
            <p class="mb-0 "><?php echo e(count($verifiedCertificates[$user->id])); ?></p>
        </div>
        
        <div class="me-3">
            <p class="mb-0 fw-bold">Notes</p>
            <p class="mb-0"><button class="btn btn-primary note" data-bs-toggle="modal"
                    data-bs-target="#noteModal-<?php echo e($user->id); ?>">Type your Note</button></p>
        </div>
        
        <div class="me-3">
            <p class="mb-0 fw-bold">Role</p>
            <li class="list-unstyled">
                <a class="text-decoration-none text-black dropdown-toggle" href="#" id="roleDropdown-<?php echo e($user->id); ?>"
                    role="button" data-bs-toggle="dropdown" aria-expanded="false"><?php echo e($user->role); ?>

                </a>
                <ul class="dropdown-menu" aria-labelledby="roleDropdown-<?php echo e($user->id); ?>">
                    <li><a class="dropdown-item" href="javascript:void(0)" onclick="updateRole(<?php echo e($user->id); ?>, 'Supervisor')">Supervisor</a></li>
                    <li><a class="dropdown-item" href="javascript:void(0)" onclick="updateRole(<?php echo e($user->id); ?>, 'Employee')">Employee</a></li>
                </ul>
            </li>
        </div>
        

        <div class="me-3">
            <p class="mb-0 fw-bold">Action</p>
            <li class="list-unstyled">
                <a class="text-decoration-none text-black dropdown-toggle" href="#" id="actionDropdown-<?php echo e($user->id); ?>"
                    role="button" data-bs-toggle="dropdown" aria-expanded="false"><?php echo e($user->status); ?>

                </a>
                <ul class="dropdown-menu" aria-labelledby="actionDropdown-<?php echo e($user->id); ?>">
                    <li><a class="dropdown-item" href="javascript:void(0)" onclick="updateStatus(<?php echo e($user->id); ?>, 'Active')">Activate</a></li>
                    <li><a class="dropdown-item" href="javascript:void(0)" onclick="updateStatus(<?php echo e($user->id); ?>, 'Deactivated')">Deactivate</a></li>
                </ul>
            </li>
        </div>
        
        
    </div>
    <!-- Note Modal -->
<div class="modal fade" id="noteModal-<?php echo e($user->id); ?>" tabindex="-1" aria-labelledby="noteModalLabel-<?php echo e($user->id); ?>" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="noteModalLabel-<?php echo e($user->id); ?>">Notes for <?php echo e($user->name); ?></h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <textarea><?php echo e($user->notes); ?></textarea>
            </div>
        </div>
    </div>
</div>
      
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
    <p class="text-center">No user Available.</p>
    <?php endif; ?>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('modal'); ?>
    <?php echo $__env->make('modals.edit-profile', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('scripts'); ?>
    <script>
        function updateRole(userId, role) {
    fetch('<?php echo e(route('user.update.role')); ?>', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
        },
        body: JSON.stringify({ user_id: userId, role: role }),
    })
    .then(response => response.json())
    .then(data => {
        if (data.success) {
            // Update the dropdown text dynamically
            document.querySelector(`#roleDropdown-${userId}`).textContent = role;
            alert(data.message);
        } else {
            alert('Failed to update role.');
        }
    })
    .catch(error => console.error('Error:', error));
}

function updateStatus(userId, status) {
    fetch('<?php echo e(route('user.update.status')); ?>', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
        },
        body: JSON.stringify({ user_id: userId, status: status }),
    })
    .then(response => response.json())
    .then(data => {
        if (data.success) {
            // Update the dropdown text dynamically
            document.querySelector(`#actionDropdown-${userId}`).textContent = status;
            alert(data.message);
        } else {
            alert('Failed to update status.');
        }
    })
    .catch(error => console.error('Error:', error));
}

    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\Projects\Laravel-Projects\My_Gig_ID\resources\views/viewgiggycodeusers.blade.php ENDPATH**/ ?>