<!-- navbar section -->
<div class="container-fluid d-flex justify-content-between">
    <!-- Logo Section -->
    <header class="align-items-center col-lg-2">
        <a class="navbar-brand" href="<?php echo e(route('dashboard')); ?>">
            <img src="<?php echo e(asset('images/logo-colored-bg.png')); ?>" alt="Logo" class="logo w-50">
        </a>
    </header>

    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg custom-navbar col-lg-10">
        <!-- Toggler for Mobile View -->
        <button class="navbar-toggler ms-auto me-3 navbar-toggler-white" type="button" data-bs-toggle="offcanvas"
            data-bs-target="#offcanvasScrolling" aria-controls="offcanvasScrolling">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse justify-content-center" id="navbarNav">
            <!-- Centered Navbar Items -->
            <ul class="navbar-nav mx-auto">
                <li class="nav-item">
                    <a class="nav-link" href="<?php echo e(route('viewgiggycodeusers')); ?>"><img src="<?php echo e(asset('images/view-user-icon.png')); ?>" class="nav-icon"> View GiggyCode Users</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="<?php echo e(route('certificates.verify')); ?>"><img src="<?php echo e(asset('images/certify-verify-icon.png')); ?>" class="nav-icon"> Certificates to Verify</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="<?php echo e(route('verifiedCertificates')); ?>"><img src="<?php echo e(asset('images/shared-icons.png')); ?>" class="nav-icon"> Verified Certificates</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#"><img src="<?php echo e(asset('images/superv-acc-icon.png')); ?>" class="nav-icon"> Supervisory Access</a>
                </li>                
                <li class="nav-item">
                    <a class="nav-link" href="<?php echo e(route('logout')); ?>"><i class="bi bi-box-arrow-right"></i> Logout</a>
                </li>
            </ul>
            <!-- Right-Aligned Items -->
            <ul class="navbar-nav ms-auto">
                <!-- Language Dropdown -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="languageDropdown" role="button"
                        data-bs-toggle="dropdown" aria-expanded="false">
                        <i class="bi bi-translate"></i> Language
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="languageDropdown">
                        <li><a class="dropdown-item" href="#">English</a></li>
                        <li><a class="dropdown-item" href="#">Spanish</a></li>
                    </ul>
                </li>
                <!-- Upgrade Button -->
                <li class="nav-item">
                    <button class="btn btn-light upgrade-btn">Upgrade</button>
                </li>
            </ul>
        </div>
    </nav>
</div>
<!-- offcanvas navbar -->
<div class="offcanvas offcanvas-end" data-bs-scroll="true" data-bs-backdrop="false" tabindex="-1"
    id="offcanvasScrolling" aria-labelledby="offcanvasScrollingLabel" style="background-color: #150659;">
    <div class="offcanvas-header">
        <h5 class="offcanvas-title text-light" id="offcanvasScrollingLabel">Menu</h5>
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="offcanvas"
            aria-label="Close"></button>

    </div>
    <div class="offcanvas-body">
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="#"> View GiggyCode Users</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(route('certificates.verify')); ?>"> Certificates to Verify</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#">Shared Certificates</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#"> Supervisory Access</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="<?php echo e(route('logout')); ?>"> Logout</a>
            </li>
            <!-- Language Dropdown -->
            <li class="nav-item dropdown">
                <!-- Use data-bs-toggle for Bootstrap 5 -->
                <a class="nav-link dropdown-toggle" href="#" id="languageDropdown" role="button"
                    data-bs-toggle="dropdown" aria-expanded="false">
                    <i class="bi bi-translate"></i> Language
                </a>
                <ul class="dropdown-menu" aria-labelledby="languageDropdown">
                    <li><a class="dropdown-item" href="#">English</a></li>
                    <li><a class="dropdown-item" href="#">Spanish</a></li>
                </ul>
            </li>
            <!-- Upgrade Button -->
            <li class="nav-item">
                <button class="btn btn-light upgrade-btn">Upgrade</button>
            </li>
        </ul>
    </div>
</div>
<?php /**PATH F:\Projects\Laravel-Projects\My_Gig_ID\resources\views/partials/adminnavbar.blade.php ENDPATH**/ ?>